package com.steerinfo.ems.tcmdatasourcetimegran.mapper;

import com.steerinfo.ems.tcmdatasourcetimegran.model.TCmDatasourceTimegran;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Mapper
public interface TCmDatasourceTimegranMapper extends IBaseMapper<TCmDatasourceTimegran, String> {

    Set<String> uniqueKey();
    
    /**
	 * 获得时间粒度列表（计量点数据录入）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmCalpointValue();
	
	/**
	 * 获得时间粒度列表（能源平衡管理-实绩产量管理）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmWorkprocProductValue();
	
	/**
	 * 获得时间粒度列表（能源平衡管理-平衡表数据维护页面，时间粒度下拉框数据）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmBalanceValue();
	
	/**
	 * 获得时间粒度列表（能源平衡管理-工序与原材料数据维护页面，时间粒度下拉框数据）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmWorkprocMaterialValue();

    /**
     * 获得时间粒度列表（能源平衡管理-计划产量管理页面，时间粒度下拉框数据）
     * @return
     */
   List<Map> getTimegranRmTrmworkprocproductvalue();

    /**
     * 获得时间粒度列表 (能源实际管理-供需项目数据维护)
     * @return
     */
   List<Map> getTimegranRmTrmactvalue();

    /**
     * 获得时间粒度(能源综合分析-指标管理-指标数据维护)
     * @return
     */
   List<Map> getTimegranRmindexvalue();

}